| 1.0.2 API documentation

Functions
GLM_GTX_optimum_pow
Experimental extensions

## Functions
template<typename genType >
GLM_FUNC_DECL genType | pow2 (genType const &x)
| Returns x raised to the power of 2. More...
template<typename genType >
GLM_FUNC_DECL genType | pow3 (genType const &x)
| Returns x raised to the power of 3. More...
template<typename genType >
GLM_FUNC_DECL genType | pow4 (genType const &x)
| Returns x raised to the power of 4. More...

## Detailed Description

Include <glm/gtx/optimum_pow.hpp> to use the features of this extension.

Integer exponentiation of power functions.

## Function Documentation

## ◆ pow2()

GLM_FUNC_DECL genType glm::pow2 | ( | genType const & | x | ) |

Returns x raised to the power of 2.

See also
  GLM_GTX_optimum_pow

## ◆ pow3()

GLM_FUNC_DECL genType glm::pow3 | ( | genType const & | x | ) |

Returns x raised to the power of 3.

See also
  GLM_GTX_optimum_pow

## ◆ pow4()

GLM_FUNC_DECL genType glm::pow4 | ( | genType const & | x | ) |

Returns x raised to the power of 4.

See also
  GLM_GTX_optimum_pow